## org.apache.catalina.ssi
Interface SSICommand

All Known Implementing Classes:
  SSIConditional, SSIConfig, SSIEcho, SSIExec, SSIFlastmod, SSIFsize, SSIInclude, SSIPrintenv, SSISet

public interface SSICommand

The interface that all SSI commands ( SSIEcho, SSIInclude, ...) must implement.

Version:
  $Revision: 466595 $, $Date: 2006-10-21 18:24:41 -0400 (Sat, 21 Oct 2006) $
Author:
  Bip Thelin, Dan Sandberg

Method Summary
`void` `process(SSIMediator ssiMediator, java.lang.String commandName, java.lang.String[] paramNames, java.lang.String[] paramValues, java.io.PrintWriter writer)` Write the output of the command to the writer.

Method Detail

### process

    public void process(SSIMediator ssiMediator,
                        java.lang.String commandName,
                        java.lang.String[] paramNames,
                        java.lang.String[] paramValues,
                        java.io.PrintWriter writer)
                 throws SSIStopProcessingException

  Write the output of the command to the writer.

  Parameters:
    `ssiMediator` - the ssi mediator
    `commandName` - the name of the actual command ( ie. echo )
    `paramNames` - The parameter names
    `paramValues` - The parameter values
    `writer` - the writer to output to
  Throws:
    `SSIStopProcessingException` - if SSI processing should be aborted

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.